AlgoSeek

Get usage quotas

Returns the API usage summary for the current month and current minute, along with the usage limits.

GET 

https://api.devalgoseek.com/api/v1/account/my/quotas#

Returns the API usage summary for the current month and current minute, along with the usage limits.

Note: the monthly limit is refreshed at the beginning of each month.

Important: the quotas are applied across all API keys in your account.

Responses#

Successful Response

Schema
    quotas_usage objectrequired

    API usage consumed so far in the current period.

    per_minute_requestsintegerrequired

    The number of API requests per minute.

    Example: 12
    monthly_requestsintegerrequired

    The number of API requests per month.

    Example: 432
    monthly_data_scannedintegerrequired

    The amount of data scanned while processing the request, in bytes per month.

    Example: 5000000000
    monthly_data_returnedintegerrequired

    The amount of data returned in the response, in bytes per month.

    Example: 500000000
    quotas_limit objectrequired

    Maximum allowed API usage per period.

    per_minute_requestsintegerrequired

    The number of API requests per minute.

    Example: 12
    monthly_requestsintegerrequired

    The number of API requests per month.

    Example: 432
    monthly_data_scannedintegerrequired

    The amount of data scanned while processing the request, in bytes per month.

    Example: 5000000000
    monthly_data_returnedintegerrequired

    The amount of data returned in the response, in bytes per month.

    Example: 500000000

Authorization: X-API-KEY#

name: X-API-KEYtype: apiKeyin: header
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/account/my/quotas");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request
Base URL
https://api.devalgoseek.com
Auth
Response

Click the Send API Request button above and see the response here!